Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1036915 - Review Request: nodejs-xmlbuilder - An XML builder for Node.js
Summary: Review Request: nodejs-xmlbuilder - An XML builder for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1034093
TreeView+ depends on / blocked
 
Reported: 2013-12-02 21:51 UTC by Tom Hughes
Modified: 2013-12-20 02:01 UTC (History)
2 users (show)

Fixed In Version: nodejs-xmlbuilder-1.1.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-20 02:01:02 UTC
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-12-02 21:51:20 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-xmlbuilder.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-xmlbuilder-1.0.2-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
An XMLBuilder for Node.js similar to java-xmlbuilder.

Comment 1 T.C. Hollingsworth 2013-12-02 22:17:05 UTC
FTBFS in mock because the coffee-script BR is guarded by the disabled %{enable_tests} macro.

Comment 2 Tom Hughes 2013-12-02 22:32:00 UTC
That's what I get for making a last minute decision to remove the enable_tests thing... Try this one:

Spec URL: http://download.compton.nu/nodejs/nodejs-xmlbuilder.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-xmlbuilder-1.0.2-2.fc19.src.rpm

Comment 3 T.C. Hollingsworth 2013-12-05 12:39:20 UTC
Looks good, APPROVED.

Comment 4 Tom Hughes 2013-12-05 12:48:06 UTC
New Package SCM Request
=======================
Package Name: nodejs-xmlbuilder
Short Description: An XML builder for Node.js
Owners: tomh jamielinux
Branches: f20
InitialCC:

Comment 5 Gwyn Ciesla 2013-12-05 13:45:03 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-12-10 23:06:06 UTC
nodejs-xmlbuilder-1.1.0-1.fc20, carto-0.9.5-3.fc20, nodejs-xml2js-0.4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-22858/carto-0.9.5-3.fc20,nodejs-xml2js-0.4.0-1.fc20,nodejs-xmlbuilder-1.1.0-1.fc20

Comment 7 Fedora Update System 2013-12-11 16:45:24 UTC
Package nodejs-xmlbuilder-1.1.0-1.fc20, carto-0.9.5-3.fc20, nodejs-xml2js-0.4.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-xmlbuilder-1.1.0-1.fc20 carto-0.9.5-3.fc20 nodejs-xml2js-0.4.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22858/carto-0.9.5-3.fc20,nodejs-xml2js-0.4.0-1.fc20,nodejs-xmlbuilder-1.1.0-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-12-20 02:01:02 UTC
nodejs-xmlbuilder-1.1.0-1.fc20, carto-0.9.5-3.fc20, nodejs-xml2js-0.4.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.